Part Ellipse

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Ellipse and the translation is 72% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎čeština • ‎русский
Arrow-left.svg Vorherige: Part Circle.svg Kreis
Nächste: Punkt Part Point.svg Arrow-right.svg

Part Ellipse.svg Part Ellipse

Menüeintrag
Formteil → Grundkörper erstellen... → Ellipse
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundelemente

Beschreibung

Eine Part Ellipse.svg Part Ellipse ist eine parametrische Form, die mit dem Befehl Part Primitives.svg Part Grundelemente erstellt werden kann. Im Koordinatensystem durch ihre Daten-EigenschaftPlacement festgelegt, liegt die Ellipse auf der XY-Ebene mit ihrer Mittelpunkt im Ursprung. Ihre Hauptachse liegt parallel zur X-Achse.

Ein Part-Ellipse ist eigentlich ein gegen den Uhrzeigersinn verlaufender 360°-Ellipsenbogen. Er kann in einen Ellipsensegment gewandelt werden, indem die Daten-EigenschaftAngle1 und/oder die Daten-EigenschaftAngle2 geändert wird.

Part Ellipse Example.png

Anwendung

Siehe Part Grundelemente.

Beispiel

Part-Ellipse aus dem Skriptbeispiel

Ein Part-Ellipse-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde wird hier dargestellt.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part-Ellipse-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DatenMajorRadius (Length): The major radius of the ellipse or elliptical arc. The default is 4mm.
  • DatenMinorRadius (Length): The minor radius of the ellipse or elliptical arc. The default is 2mm.
  • DatenAngle1 (Angle): The start angle of the elliptical arc. Valid range: 0° < value <= 360°. The default is .
  • DatenAngle2 (Angle): The end angle of the elliptical arc. Valid range: 0° < value <= 360°. The default is 360°. If DatenAngle1 and DatenAngle2 are equal, or if one angle is and the other 360°, a full ellipse is created.

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Ellipse can be created with the addObject() method of the document:

ellipse = FreeCAD.ActiveDocument.addObject("Part::Ellipse", "myEllipse")
  • Where "myEllipse" is the name for the object.
  • The function returns the newly created object.

Beispiel:

import FreeCAD as App

doc = App.activeDocument()

ellipse = doc.addObject("Part::Ellipse", "myEllipse")
ellipse.MajorRadius = 20
ellipse.MinorRadius = 10
ellipse.Angle1 = 45
ellipse.Angle2 = 135
ellipse.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()


Arrow-left.svg Vorherige: Part Circle.svg Kreis
Nächste: Punkt Part Point.svg Arrow-right.svg